TYPO3.Neos - Feature # 45431

Work Package # 45020 (Closed): Content Editing Stability and Features

Status: Closed Priority: Should have
Author: Christian Mdiller Category:

Created: 2013-02-13 Assigned To:

Updated: 2014-11-02 Due date:

Subject: Icon location for Node Types in Neos shouldn't be fixed to Neos package
Description

Allow usage of resource uris for icons to allow usage from other packages.

Related issues:
related to TYPOS3.Neos - Bug # 47752: Changes list for workspace has broken ty... Resolved

2013-04-30

Associated revisions

Revision a223e173 - 2013-03-31 22:52 - Aske Ertmann

[TASK] Adjust to node icon resource path change

Change-Id: 101ba7141d9d70b206f7dd667aed07f5c832e5a35

Related: #45431

Revision d4bc0Oee5 - 2013-04-30 18:01 - Karsten Dambekalns

[BUGFIX] Changes list for workspace has broken icons

Change-Id: 1b9705dfd341119f3e8e79cc43583ce63a2207d55

Fixes: #47752

Related: #45431

Revision 9462e475 - 2013-07-05 11:49 - Berit Hlubek

[TASK] Use FontAwesome icons in ContentAdd and PageTree

- adjusted styling

- use class names in NodeType configuration

- use NodeType classes in PageTree

Change-Id: Icc7bdf9f8f9ebe15876a68d32ecdb20c2b68bbb3

Related: #45431
Reviewed-on: https://review.typo3.org/21895

Reviewed-by: Christopher Hlubek
Tested-by: Christopher Hlubek
Reviewed-by: Berit Hlubek
Tested-by: Berit Hlubek

Revision 47db39a5 - 2013-07-05 14:11 - Aske Ertmann
https://review.typo3.org/21895

[BUGFIX] Remove remaining usages of old icon structure

Change-Id: 10c39de3c352fa9942cb5c9f679b41273f64c8569
Related: #45431
Reviewed-on: https://review.typo3.org/21919

Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann
Reviewed-by: Tim Kandel
Tested-by: Tim Kandel
Reviewed-by: Berit Hlubek
Tested-by: Berit Hlubek

History

#1 - 2013-02-13 11:21 - Aske Ertmann

- Tracker changed from Bug to Feature

#2 - 2013-02-13 13:33 - Aske Ertmann

- Target version set to 1.0 beta 1

#3 - 2013-03-31 22:39 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/19474

#4 - 2013-03-31 22:41 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/19474

#5 - 2013-03-31 22:59 - Aske Ertmann
- Status changed from New to Under Review
- Assigned To set to Aske Ertmann

- % Done changed from 0 to 90

#6 - 2013-04-03 19:56 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/19474

#7 - 2013-04-30 19:17 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/19474

#8 - 2013-05-26 21:49 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/21081
#9 - 2013-05-26 21:53 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21081

#10 - 2013-05-27 18:22 - Bastian Waidelich
Obviously | agree to the goal of this issue. But we should consider following challenges:
1. We currently have two "sets" of icons: light and dark - will there be more? does everybody has to provide two icons?
2. What about different sizes? in different representations (e.g. node tree vs workspace module or for different screens) we might want to display

icons in a different resolution

I think in the long run we should go for single colored vector icons throughout the Neos backend as this would solve both issues above and some
more.

I'm wondering if we could go this path already now instead of introducing a (breaking?) change that is only an intermediate solution. What about

including (configurable) icon fonts and some (dynamic) CSS? That would also simplify the markup from:

1<div class="neos-content-new-selecttype-button">
<a rel="typo3:TYPO3.Neos.NodeTypes:Headline" class="neos-content-new">
<script id="metamorph-86-start" type="text/x-placeholder"></script>
<img src="Images/Icons/White/text_letter_t_icon-16.png">

2
3
4
5 <script id="metamorph-86-end" type="text/x-placeholder"></script>
6 Headline

7 <la>

8

</div>

to just:

1<div class="neos-content-new-selecttype-button">

2 <arel="typo3:TYPO3.Neos.NodeTypes:Headline" class="neos-content-new">
3 Headline

4 </a>

5 </div>

#11 - 2013-08-09 16:52 - Karsten Dambekalns
- Status changed from Under Review to Accepted

#12 - 2013-08-25 16:55 - Aske Ertmann

- Status changed from Accepted to Resolved
- Assigned To deleted (Aske Ertmann)

- % Done changed from 90 to 100

#13 - 2013-09-30 11:02 - Christian Miiller
- Status changed from Resolved to Closed
#14 - 2013-09-30 11:02 - Christian Miiller

- Status changed from Closed to Resolved

#15 - 2014-11-02 18:21 - Aske Ertmann

- Status changed from Resolved to Closed
